Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
grants
List grants for an operator
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/grants \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "operatorId": "<string>",
      "grantorOrganizationId": "<string>",
      "scopes": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "granteeOrganizationId": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Query Parameters

status
enum<string>
Available options:
active,
paused,
revoked

Response

200 - application/json

A list of grants.

data
object[]
required